BOS_SETRESTART(8)

NAME
bos_setrestart - Sets when the BOS Server restarts processes

SYNOPSIS
bos setrestart -server <machine name>
    -time <time to restart server> [-general] [-newbinary]
    [-cell <cell name>] [-noauth] [-localauth] [-help]

bos setr -s <machine name> -t <time to restart server>
    [-g] [-ne] [-c <cell name>] [-no] [-l] [-h]

DESCRIPTION
The bos setrestart command records in the /usr/local/etc/openafs/BosConfig file the times at which the BOS Server running on the server machine named by the -server argument performs two types of restarts:

•   A general restart. The BOS Server will restart itself, and then any AFS process marked with the "Run" status flag in the BosConfig file (equivalent in effect to issuing the bos restart command with the -bosserver flag) at this time each week. By default, in a new bos installation, general restarts are disabled.

•   A binary restart. By default, once per day the BOS Server restarts any currently running process for which the timestamp on the binary file in the /usr/local/libexec/openafs directory is later than the time the process last started or restarted. The default is 5:00 a.m. each day.

CAUTIONS
Restarting a process makes it unavailable for a period of time. The fs process has potentially the longest outage, depending on how many volumes the file server machine houses (the File Server and Volume Server reattach each volume when they restart). The default settings are designed to coincide with periods of low usage, so that the restarts disturb the smallest possible number of users.

If the setting specified with the -time argument is within one hour of the current time, the BOS Server does not restart any processes until the next applicable opportunity (the next day for binary restarts, or the next week for general restarts).

The command changes only one type of restart setting at a time; issue the command twice to change both settings.

OPTIONS

-server <machine name>
    Indicates the server machine on which to set a new restart time. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see bos(8).

-time <time to restart server>
    Specifies the restart time. By convention the general restart is defined as weekly (specifies both a day and a time), and the binary restart is defined as daily (specifies only a time). However, it is acceptable to define a daily general restart or weekly binary restart.

    There are four acceptable values for either type of restart setting:

    •   The string "never", which directs the BOS Server never to perform the indicated type of restart.

    •   The string "now", which directs the BOS Server to perform the restart immediately and never again.

    •   A time of day (the conventional type of value for the binary restart time). Separate the hours and minutes with a colon (hh:MM), an use either 24-hour format, or a value in the range from "1:00" through "12:59" with the addition of "am" or "pm". For example, both "14:30" and "2:30 pm" indicate 2:30 in the afternoon. Surround this parameter with double quotes ("") if it contains a space.

    •   A day of the week and time of day, separated by a space and surrounded with double quotes (""). This is the conventional type of value for the general restart. For the day, provide either the whole name or the first three letters, all in lowercase letters ("sunday" or "sun", "thursday" or "thu", and so on). For the time, use the same format as when specifying the time alone.

    If desired, precede a time or day and time definition with the string "every" or "at". These words do not change the meaning, but possibly make the output of the bos getrestart command easier to understand.

-general
    Sets the general restart time.

-newbinary
    Sets the binary restart time.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see bos(8).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see bos(8).

-localauth
    Constructs a server ticket using a key from the local /usr/local/etc/openafs/server/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see bos(8).

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command sets the general restart time on the machine "fs4.abc.com" to Saturday at 3:30 am.

   % bos setrestart -server fs4.abc.com -time "sat 3:30" -general

The following command sets the binary restart time on the machine "fs6.abc.com" to 11:45 pm.

   % bos setrestart -server fs6.abc.com -time 23:45 -newbinary

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/local/etc/openafs/server/UserList file on the machine named by the -server argument, or must be logged onto a server machine as the local superuser "root" if the -localauth flag is included.

SEE ALSO
BosConfig(5), KeyFile(5), UserList(5), bos(8), bos_getrestart(8), bos_restart(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.